Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vutbr.checkers.server
Class ServerConfig

    java.lang.Object
      vutbr.checkers.server.ServerConfig

    public class ServerConfig

extends java.lang.Object

Constructor Summary
`ServerConfig(java.lang.String configFile)` Konstruktor

Method Summary
`java.lang.String` | `getBindAddress()` Vrati bind adresu
`int` | `getPort()` Vrati port
`void` | `load()` Nacte konfiguracni soubor
`void` | `save()` Ulozi konfiguracni soubor
`void` | `setBindAddress(java.lang.String bindAddress)` Nastavi bind adresu
`void` | `setPort(int port)` Nastavi port

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerConfig

    public ServerConfig(java.lang.String configFile)

  Konstruktor

  Parameters:
    `configFile` - Jmeno konfiguracniho souboru

Method Detail

### load

    public void load()

  Nacte konfiguracni soubor

### save

    public void save()

  Ulozi konfiguracni soubor

### setPort

    public void setPort(int port)

  Nastavi port

  Parameters:
    `port` - Port

### getPort

    public int getPort()

  Vrati port

  Returns:
    Port

### setBindAddress

    public void setBindAddress(java.lang.String bindAddress)

  Nastavi bind adresu

  Parameters:
    `bindAddress` - Bind adresa

### getBindAddress

    public java.lang.String getBindAddress()

  Vrati bind adresu

  Returns:
    Bind adresa

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD